Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type.descriptor.java
Class CalendarTypeDescriptor.CalendarMutabilityPlan

    java.lang.Object
      org.hibernate.type.descriptor.java.MutableMutabilityPlan<Calendar>
          org.hibernate.type.descriptor.java.CalendarTypeDescriptor.CalendarMutabilityPlan

All Implemented Interfaces:
  Serializable, MutabilityPlan<Calendar>

Enclosing class:
  CalendarTypeDescriptor

    public static class CalendarTypeDescriptor.CalendarMutabilityPlan

extends MutableMutabilityPlan<Calendar>

See Also:
  Serialized Form

Field Summary
`static CalendarTypeDescriptor.CalendarMutabilityPlan` | `INSTANCE`

Constructor Summary
`CalendarTypeDescriptor.CalendarMutabilityPlan()`

Method Summary
`Calendar` | `deepCopyNotNull(Calendar value)`

Methods inherited from class org.hibernate.type.descriptor.java.MutableMutabilityPlan
`assemble, deepCopy, disassemble, isMutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final CalendarTypeDescriptor.CalendarMutabilityPlan INSTANCE

Constructor Detail

### CalendarTypeDescriptor.CalendarMutabilityPlan

    public CalendarTypeDescriptor.CalendarMutabilityPlan()

Method Detail

### deepCopyNotNull

    public Calendar deepCopyNotNull(Calendar value)

  Specified by:
    `deepCopyNotNull` in class `MutableMutabilityPlan<Calendar>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.